Bug 833429 - uuid fails to generate v1 uuids based on local MAC address
uuid fails to generate v1 uuids based on local MAC address
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: uuid (Show other bugs)
6.4
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE - Apps
: Patch
: 920898 (view as bug list)
Depends On: 829532
Blocks: 836160
  Show dependency treegraph
 
Reported: 2012-06-19 09:01 EDT by Michal Hlavinka
Modified: 2017-01-09 10:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 829532
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2012-06-19 09:01:14 EDT
+++ This bug was initially created as a clone of Bug #829532 +++

Created attachment 590037 [details]
Fix for EL6 and F16 to use getifaddrs() on linux

Description of problem:

When running on machines which have the high-bit set (0x80) in the MAC address, this is incorrectly interpreted as the MAC field being unset (i.e. not matching interfaces found).

Also, the Linux version was not using getifaddrs() to detect NICs (due to the incorrect dependency on HAVE_NET_IF_DL_H).

Version-Release number of selected component (if applicable):

1.6.2

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2012-09-07 01:10:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 Michal Hlavinka 2013-06-03 09:25:22 EDT
*** Bug 920898 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.